﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using MindFusion.UI.WinForms;

namespace PopupKeyboard
{
    public partial class KeyboardForm : Form
    {
        internal VirtualKeyboard vk;

        public KeyboardForm()
        {
            InitializeComponent();

            vk = new VirtualKeyboard();
			vk.Dock = DockStyle.Fill;
            vk.IsStandAlone = true;
            this.Controls.Add(vk);
        }

        private bool isNumPad;

        public bool IsNumPad
        {
            get { return isNumPad; }
            set
            {
                isNumPad = value;
                if (isNumPad)
                {
                    this.Width = 180;
                    this.Height = 250;

                    // VirtualKeyboard with NumPad template
                    // the Common. resource prefix comes from project's default namespace
                    vk.TemplateLayout = KeyboardLayout.Create(
                        this.GetType().Assembly.GetManifestResourceStream(
							"PopupKeyboard.NumPadTemplate.xml"));
                }
                else
                {
                    // VirtualKeyboard with TextView template
                    // the Common. resource prefix comes from project's default namespace
                    vk.TemplateLayout = KeyboardLayout.Create(
                        this.GetType().Assembly.GetManifestResourceStream(
							"PopupKeyboard.TextViewTemplate.xml"));

                    this.Width = 650;
                    this.Height = 300;
                }
            }
        }
    }
}
